package com.example.demo.core.model;

// Абстрактный класс для базовой сущности
public abstract class BaseEntity {
    // Идентфикатор
    protected Long id;

    // Конструктор по умолчанию
    protected BaseEntity() {
    }

    // Конструктор с параметрами для создания объекта
    protected BaseEntity(Long id) {
        this.id = id;
    }

    // Получить идентификатор
    public Long getId() {
        return id;
    }

    // Установить идентификатор
    public void setId(Long id) {
        this.id = id;
    }
}
