package com.example.demo.types.api;

import com.fasterxml.jackson.annotation.JsonProperty;

import jakarta.validation.constraints.NotBlank;

// DTO для сущности "Тип" (Тип книги)
public class TypeDto {
    // Идентфикатор
    @JsonProperty(access = JsonProperty.Access.READ_ONLY)
    private Long id;

    // Название типа
    @NotBlank
    private String name;

    // Получить идентификатор
    public Long getId() {
        return id;
    }

    // Установить идентификатор
    public void setId(Long id) {
        this.id = id;
    }

    // Получить название типа
    public String getName() {
        return name;
    }

    // Установить название типа
    public void setName(String name) {
        this.name = name;
    }
}
