package com.example.demo.users.api;

import com.fasterxml.jackson.annotation.JsonProperty;

import jakarta.validation.constraints.NotBlank;

// DTO для сущности "Пользователь"
public class UserDto {
    // Идентфикатор
    @JsonProperty(access = JsonProperty.Access.READ_ONLY)
    private Long id;

    // Имя/логин пользователя
    @NotBlank
    private String username;

    // Пароль пользователя
    @NotBlank
    private String password;

    // Электронный адрес почты пользователя
    @NotBlank
    private String email;

    // Получить идентификатор
    public Long getId() {
        return id;
    }

    // Установить идентификатор
    public void setId(Long id) {
        this.id = id;
    }

    // Получить имя/логин пользователя
    public String getUsername() {
        return username;
    }

    // Установить имя/логин пользователя
    public void setUsername(String username) {
        this.username = username;
    }

    // Получить пароль пользователя
    public String getPassword() {
        return password;
    }

    // Установить пароль пользователя
    public void setPassword(String password) {
        this.password = password;
    }

    // Получить электронный адрес почты пользователя
    public String getEmail() {
        return email;
    }

    // Установить электронный адрес почты пользователя
    public void setEmail(String email) {
        this.email = email;
    }
}
